glab(1)

NAME
glab-ci-run-trig - Run a CI/CD pipeline trigger.

SYNOPSIS
glab ci run-trig [flags]

DESCRIPTION
Use --token to provide a pipeline trigger token. If omitted, the CI_JOB_TOKEN environment variable must be set.

Use --branch to specify a branch or reference. Defaults to the current branch.

Specify one or more pipeline inputs using the -i or --input flag for each input. Each input flag uses the format key:value.

The values are typed and will default to string unless a type is explicitly specified. To specify a type, use the type(value) syntax. For example, key:string(value) will pass the string value as the input.

Valid types are:

•   string: A string value. This is the default type. For example, key:string(value).

•   int: An integer value. For example, key:int(42).

•   float: A floating-point value. For example, key:float(3.14).

•   bool: A boolean value. For example, key:bool(true).

•   array: An array of strings. For example, key:array(foo,bar).

An array of strings can be specified with a trailing comma. For example, key:array(foo,bar,) will pass the array [foo, bar]. array() specifies an empty array. To pass an array with the empty string, use array(,).

Value arguments containing parentheses should be escaped from the shell with quotes. For example, --input key:array(foo,bar) should be written as --input 'key:array(foo,bar)'.

OPTIONS
-b, --branch=""
    Create pipeline on branch or reference .

-i, --input=[]
    Pass inputs to pipeline in format ':'. Cannot be used for merge request pipelines. See documentation for examples.

-t, --token=""
    Pipeline trigger token. Can be omitted only if the 'CI_JOB_TOKEN' environment variable is set.

--variables=[]
    Pass variables to pipeline in the format :. Multiple variables can be comma-separated or specified by repeating the flag.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    glab ci run-trig -t xxxx
    glab ci run-trig -t xxxx -b main
    # Specify CI variables
    glab ci run-trig -t xxxx -b main --variables key1:val1
    glab ci run-trig -t xxxx -b main --variables key1:val1,key2:val2
    glab ci run-trig -t xxxx -b main --variables key1:val1 --variables key2:val2
    # Specify CI inputs
    glab ci run-trig -t xxxx -b main --input key1:val1 --input key2:val2
    glab ci run-trig -t xxxx -b main --input "replicas:int(3)" --input "debug:bool(false)" --input "regions:array(us-east,eu-west)"

SEE ALSO
glab-ci(1)